package com.ruoyi.mall.service;

import java.util.List;

import com.ruoyi.common.utils.ApiResult;
import com.ruoyi.mall.domain.MallSeckillTime;
import com.ruoyi.mall.domain.VO.SeckillTimeVO;

/**
 * 秒杀时间Service接口
 *
 * @author ruoyi
 * @date 2022-07-01
 */
public interface IMallSeckillTimeService
{

    /**
     * 秒杀时间列表
     * @return
     */
    public ApiResult getSeckillTimeList();

    /**
     * 查询秒杀时间
     *
     * @param id 秒杀时间主键
     * @return 秒杀时间
     */
    public MallSeckillTime selectMallSeckillTimeById(Integer id);

    /**
     * 查询秒杀时间列表
     *
     * @return 秒杀时间集合
     */
    public List<SeckillTimeVO> seckillTimeSelectList();

    /**
     * 查询秒杀时间列表
     *
     * @param mallSeckillTime 秒杀时间
     * @return 秒杀时间集合
     */
    public List<MallSeckillTime> selectMallSeckillTimeList(MallSeckillTime mallSeckillTime);

    /**
     * 新增秒杀时间
     *
     * @param mallSeckillTime 秒杀时间
     * @return 结果
     */
    public int insertMallSeckillTime(MallSeckillTime mallSeckillTime);

    /**
     * 修改秒杀时间
     *
     * @param mallSeckillTime 秒杀时间
     * @return 结果
     */
    public int updateMallSeckillTime(MallSeckillTime mallSeckillTime);

    /**
     * 批量删除秒杀时间
     *
     * @param ids 需要删除的秒杀时间主键集合
     * @return 结果
     */
    public int deleteMallSeckillTimeByIds(Integer[] ids);

    /**
     * 删除秒杀时间信息
     *
     * @param id 秒杀时间主键
     * @return 结果
     */
    public int deleteMallSeckillTimeById(Integer id);
}
